@echo off
color 3f
::main_menu
:_main
cls
set _option= 
echo ===============================================================================
echo  安卓4.0,4.1 通用ROOT工具 - 现在是： %DATE% %TIME:~0,8%
echo  原作者为 xda 的 Bin4ry        精简修改 by 神族-沉默之星
echo ===============================================================================
echo.
echo  注意 :
echo.
echo.        1.设置----》开发人员选项 ----》USB调试  勾选，并连接数据线
echo.        2.手机打开拨号器，输入*983*87274#，之后选择 All functions 
echo.        3.手机应处于开机状态,请关闭电脑端的手机管理软件
echo.
echo.                   欢迎光临神族论坛：bbs.malshenzu.com
echo.
pause
cls
:START
echo 请开启USB调试并连接您的手机....
files\adb.exe wait-for-device
files\adb.exe push files/busybox /data/local/tmp/.
files\adb.exe push files/su /data/local/tmp/.
files\adb.exe push files/Superuser.apk /data/local/tmp/.
files\adb.exe shell chmod 755 /data/local/tmp/busybox
echo 请查看您的手机并点击恢复!
files\adb.exe restore files/fakebackup.ab
echo 如果操作成功会有成功的提示，如果失败该操作会一直进行下去，可以拔掉数据线结束.
files\adb.exe shell "while ! ln -s /data/local.prop /data/data/com.android.settings/a/file99; do :; done" > NUL
echo 操作已成功，将重启您的手机!
files\adb.exe reboot
echo 正在等待设备....
ping -n 10 127.0.0.1 > NUL
files\adb.exe wait-for-device
files\adb.exe shell "/data/local/tmp/busybox mount -o remount,rw /system"
files\adb.exe remount
files\adb.exe shell "dd if=/data/local/tmp/su of=/system/xbin/su"
files\adb.exe shell "chmod 06755 /system/xbin/su"
files\adb.exe shell "dd if=/data/local/tmp/Superuser.apk of=/system/app/Superuser.apk"
files\adb.exe shell "chmod 644 /system/app/Superuser.apk"
files\adb.exe shell "rm /data/local.prop"
files\adb.exe shell "sync; sync; sync;"
files\adb.exe reboot
echo ROOT完成....
pause